# Class VariableMovePowerBoostAbAttr

Abilities which cause a variable amount of power increase.

#### See

applyPreAttack

#### Hierarchy (view full)

- VariableMovePowerAbAttr
  - VariableMovePowerBoostAbAttr

- Defined in src/data/ability.ts:1136

#####
Index

### Constructors

constructor

### Properties

mult
showAbility

### Methods

addCondition
apply
applyPreAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new VariableMovePowerBoostAbAttr(mult, showAbility?): VariableMovePowerBoostAbAttr

- #### Parameters

  - mult: ((user, target, move) => number)

    A function which takes the user, target, and move, and returns the power multiplier. 1 means no multiplier.

    - - (user, target, move): number

      - #### Parameters

        - user: default
        - target: default
        - move: default

        #### Returns number

  - showAbility: boolean = true

    Whether to show the ability when it activates.

  #### Returns VariableMovePowerBoostAbAttr

  Overrides VariableMovePowerAbAttr.constructor

  - Defined in src/data/ability.ts:1143

## Properties

### `Private` mult

mult: ((user, target, move) => number)

#### Type declaration

- - (user, target, move): number

  - #### Parameters

    - user: default
    - target: default
    - move: default

    #### Returns number

- Defined in src/data/ability.ts:1137

### showAbility

showAbility: boolean

Inherited from VariableMovePowerAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from VariableMovePowerAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from VariableMovePowerAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreAttack

- applyPreAttack(pokemon, passive, defender, move, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - defender: default
  - move: any
  - args: any[]

  #### Returns boolean

  Overrides VariableMovePowerAbAttr.applyPreAttack

  - Defined in src/data/ability.ts:1151

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from VariableMovePowerAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from VariableMovePowerAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137